Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		powermanga
Version:	0.90
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://linux.tlk.fr/games/Powermanga/
Group:		Games/Arcade
Source0:	%{name}-%{version}.tgz
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-%{version}-install.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	Powermanga is a Arcade Game.
Requires:	SDL SDL_mixer
BuildRequires:	SDL-devel SDL_mixer-devel

%description
Powermanga is an arcade 2D shoot-em-up game with 41 levels and more than 200 sprites.
It runs in 320x200 or 640x400 pixels, with Window mode or full screen and
support for 8, 15, 16, 24, and 32 bpp.
For more details see: http://linux.tlk.fr/games/Powermanga/

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
# touch NEWS ChangeLog
# autoreconf -fi
./configure \
--prefix=%_prefix \
--mandir=%_mandir
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/{%_bindir,%_applications,%_pixmaps}
cp %{SOURCE1} $RPM_BUILD_ROOT%_applications
cp %{SOURCE2} $RPM_BUILD_ROOT%_pixmaps
# moving binary to /usr/bin
# mv $RPM_BUILD_ROOT/usr/games/%{name} $RPM_BUILD_ROOT%_bindir
# rm -Rf $RPM_BUILD_ROOT/usr/games

find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%config(noreplace) %attr(664,root,users) %_localstatedir/games/powermanga.hi
%config(noreplace) %attr(664,root,users) %_localstatedir/games/powermanga.hi-easy
%config(noreplace) %attr(664,root,users) %_localstatedir/games/powermanga.hi-hard
%_bindir
%_datadir/%{name}
%_applications
%_pixmaps
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Sep 19 2007 Christian Wasem <wasem@ccux-linux.de> 0.90-1
- Update to Version 0.90
* Fri Apr 08 2006 Christian Wasem <wasem@ccux-linux.de> 0.80-1
- Update to Version 0.80
* Tue Sep 27 2005 Christian Wasem <wasem@ccux-linux.de> 0.79-3
- rebuild for SourceRPM